<div class="ventana" *ngIf="mostrar">
<h1>{{ NombreCompleto }}</h1>
<h2>{{  Direccion }}</h2>
</div>
<div class="boton">
  <button type="button" class="btn" (click)="mostrar = !mostrar">Mostrar/ocultar</button>
</div>